Class | Nokogiri::XML::XPath
In: | lib/nokogiri/ffi/xml/xpath.rb lib/nokogiri/xml/xpath.rb lib/nokogiri/xml/xpath/syntax_error.rb ext/nokogiri/html_document.c
Parent: | Object

This class wraps an XPath object and should only be instantiated from XPathContext.

### Methods

node_set

### Classes and Modules

Class Nokogiri::XML::XPath::SyntaxError

### Attributes

document | [RW] | The Nokogiri::XML::Document tied to this XPath instance

### Public Instance methods

node_set

Fetch the node set associated with this xpath context.

[Validate]